# Class UserModel

Object used to expose the login user information.

Example of usage:

       (window as any).gmfapi.store.user.getProperties().subscribe({
         next: (user: User) => {
           ...
         },
       })

#### Hierarchy

- UserModel

- Defined in srcapi/store/user.ts:128

#####
Index

### Constructors

constructor

### Methods

getEmptyUserProperties
getLoginMessage
getProperties
getState
setLoginMessage
setUser

## Constructors

### constructor

- new UserModel(): UserModel

- #### Returns UserModel

  - Defined in srcapi/store/user.ts:150

## Methods

### getEmptyUserProperties

- getEmptyUserProperties(): User

- #### Returns User

  an empty user.

  - Defined in srcapi/store/user.ts:204

### getLoginMessage

- getLoginMessage(): BehaviorSubject<string>

- #### Returns BehaviorSubject<string>

  The observable login message.

  - Defined in srcapi/store/user.ts:173

### getProperties

- getProperties(): BehaviorSubject<User>

- #### Returns BehaviorSubject<User>

  the observable user's properties.

  - Defined in srcapi/store/user.ts:159

### getState

- getState(): UserState

- #### Returns UserState

  the current user state.

  - Defined in srcapi/store/user.ts:166

### setLoginMessage

- setLoginMessage(messageState): void

- Set the current login message

  #### Parameters

  - ##### messageState: string

    The new login message.

  #### Returns void

  - Defined in srcapi/store/user.ts:182

### setUser

- setUser(properties, state): void

- Set the current User's properties and state.

  #### Parameters

  - ##### properties: User

    The new user

  - ##### state: UserState

    The new state

  #### Returns void

  - Defined in srcapi/store/user.ts:192

Generated using TypeDoc